@ECHO OFF

REM Set the path to the SigCheck.exe file and store as a variable
SET SigCheckEXE=E:\Support\Catalyst 11.0\Tableau\87345\sigcheck.exe
REM I am added a key to the registry to accept the EULA - however if you always use the same machine, accepting this once in the UI will remember this for the next time.
REG ADD "HKCU\Software\Sysinternals\SigCheck" /v EulaAccepted /t REG_DWORD /d 1 /f

REM CATALYST 11.0 Variables
SET ProductVer=Catalyst 11.0

REM Set the path to the Catalyst.exe file for 32 bit or 64 bit accordingly
SET CatalystPath=C:\Program Files\Alchemy Software\%ProductVer%
REM SET CatalystPath=C:\Program Files (x86)\Alchemy Software\%ProductVer%
SET CatalystEXE=%CatalystPath%\Catalyst.exe

REM Getting and assigning the build number of the installed Catalyst.exe version and temporarily storing it in a text file
"%SigCheckEXE%" -n "%CatalystEXE%">BuildNumber.txt
SET /P BuildNumber=<BuildNumber.txt
DEL BuildNumber.txt

REM As the build number is currently in this format aa.b.ccc.d, we want to minus the last 2 values (.d) from the build number as they do not increment
SET CatalystBuildNo=%BuildNumber:~0,-2%
ECHO.

REM Only execute if Greater or Equal >= to a specified Catalyst version
IF %CatalystBuildNo% GEQ 11.2.209 (
	GOTO SP2
) ELSE (
	GOTO SP1
)

:SP2

REM DO the SP2 Task here
ECHO SP2 Task - %CatalystBuildNo%
GOTO After

:SP1

REM Do the PreSP1 Task here
ECHO SP1 Task - %CatalystBuildNo%
GOTO After

:After
